/*********************************************************************
* Filename: led_asm1.cmd                                             *
*                                                                    *
* Author: David M. Alter, Texas Instruments Inc.                     *
*                                                                    *
* Last Modified: 12/20/00                                            *
*                                                                    *
* Description: Assembly code linker command file for F2407 EVM Board *
*********************************************************************/

MEMORY
{
  PAGE 0:    /* Program Memory */
    VECS:           org=0h,       len=40h       /* internal FLASH */
    FLASH:          org=44h,      len=7FBCh     /* internal FLASH */
    EXTPROG:        org=8800h,    len=7800h     /* external SRAM  */

  PAGE 1:    /* Data Memory */
    B2:             org=60h,     len=20h        /* internal DARAM */       
    B0:             org=200h,    len=100h       /* internal DARAM */
    B1:             org=300h,    len=100h       /* internal DARAM */
    SARAM:          org=0800h,   len=800h       /* internal SARAM */
    EXTDATA:        org=8000h,   len=8000h      /* external SRAM  */
}

SECTIONS
{
     vectors  >    VECS            PAGE 0
       .text  >    FLASH           PAGE 0
       .data  >    B1              PAGE 1
        .bss  >    B1              PAGE 1
     BLOCKB2  >    B2              PAGE 1       /* must be on DP 0 */
    CONTEXT3  >    B1              PAGE 1
}
